## org.apache.hadoop.io
Class IntWritable

    java.lang.Object
      org.apache.hadoop.io.IntWritable

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

    public class IntWritable

extends Object
implements WritableComparable

A WritableComparable for ints.

Nested Class Summary
`static class` `IntWritable.Comparator` A Comparator optimized for IntWritable.

Constructor Summary
`IntWritable()`
`IntWritable(int value)`

Method Summary
`int` `compareTo(Object o)` Compares two IntWritables.
`boolean` `equals(Object o)` Returns true iff `o` is a IntWritable with the same value.
`int` `get()` Return the value of this IntWritable.
`int` `hashCode()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `set(int value)` Set the value of this IntWritable.
`String` `toString()`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntWritable

    public IntWritable()

### IntWritable

    public IntWritable(int value)

Method Detail

### set

    public void set(int value)

  Set the value of this IntWritable.

### get

    public int get()

  Return the value of this IntWritable.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is a IntWritable with the same value.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Compares two IntWritables.

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 The Apache Software Foundation